/*
  a basic player
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */





#ifndef _PLAYER_H
#define _PLAYER_H


#include <yafAmplifier/metaPlayer.h>

#include <devices/audioDeviceLinux.h>
#include <devices/multicastDevice.h>
#include <devices/realTimeAudioDevice.h>
#include <devices/infoDevice.h>

/*
  For what is this player class good for?
  
  It is an abstract player. A user of this class does not
  need to know about the players internals. This means a user
  only adds a streamProducer to the player and can be sure
  that it works.
  Internally the player can have a big devicetree with
  all kind of features and layout operations.
  
  You can see the player class as a container for devices
  with the additional open/pause/play.... slots
  for the current streamProducer.
*/





class Player : public MetaPlayer {

  OutputDevice* aDevice;
  AudioDevice* audioDevice;
  MulticastDevice* multicastDevice;
  InfoDevice* infoDevice;
  RealTimeAudioDevice* audioDeviceRT;

 public:
  Player();
  ~Player();

 protected:
  OutputDevice* getInternalDeviceTree();
};

#endif;


  
